shinyUI(fluidPage(

  titlePanel("Polynomial Regression"),

  sidebarLayout(
      sidebarPanel(
          radioButtons("whichgraph", "Type of Graphics",
             c("base" = "base","ggplot2" = "ggplot2"),inline=TRUE),
           uiOutput("checkGraph"),      
          selectInput("ex","Population Model",
              choices=c("Linear","Quadratic 1","Quadratic 2","Cubic","Power 4","Pick your own")),
          conditionalPanel( condition = "input.ex == 'Pick your own'",
              textInput("beta0","Constant","0"),
              textInput("beta1","Linear term","0"),
              textInput("beta2","Quadratic term","0"),
              textInput("beta3","Cubic term","0"),
              numericInput("from","Left endpoint of x range",value=0,step=1),
              numericInput("to","Right endpoint of x range",value=1,step=1),
              numericInput("sigma","Standard Error of Residuals",value=1,step=0.1)),
          sliderInput("n","Samplesize",min=25,max=250,value=100,step=25),          
          uiOutput("appinfo"),width=3
        ),
  mainPanel(
         plotOutput("plot1",width="450px",height="450px"),
         uiOutput("text1")
    )
  ),
    
  uiOutput("explainText")    
))

